Subject: Re: Moving a 5 person dev team from CVS to git

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 19 Oct 2008 13:20:40 -0700

Francis Galiegue <[email-masked]> wrote:
> 
> I have successfully imported all CVS modules into an equivalent number of git 
> repositories so far. Unfortunately, I have two problems:
> 
> * the git-cvsserver does not support branching and tagging;
> * I have successfully built the Eclipse plugin (Java 6, Eclipse 3.4), but am 
> unable to make it clone a repository and see it in a project, despite quite a 
> few hours googling around (it _does_ clone, I see the repo in the workspace; 
> but it's invisible within Eclipse).

After a clone is complete you need to import the projects from your
the directory you cloned into.  File->Import; General->Existing
projects; select the directory in your workspace where the repo
is housed, or just select your workspace and let Eclipse search
recursively for the projects.

We'd like to support automatically importing the projects after
the clone is complete, but thus far we haven't put the effort into
restarting the import wizard UI after the download is done.
 
> Is branching and tagging support a planned feature for git-cvsserver?

No.  Nor is it likely to ever get added.  Development on
git-cvsserver is stalled as the code is complete enough for anyone
who actively uses it today.  Patches for it are welcome if you are
willing to take over development and maintenance of it.  But its
more-or-less frozen at this point.

> Also, is 
> there a step-by-step guide on using egit to clone an existing repository? 
> (I'm a total beginner with Eclipse, so it may well be that I need to google 
> some more.)

No, not yet.  You could try adding it to the egit wiki page(s):

  http://git.or.cz/gitwiki/EclipsePlugin

-- 
Shawn.